//
//  DRRegistration.h
//  DreamRegTest
//
//  Created by Martin Pilkington on 27/12/2008.
//  Copyright 2008 M Cubed Software. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface CORegistrationController : NSWindowController {
	IBOutlet NSButton *trialButton;
	IBOutlet NSButton *registerButton;
	IBOutlet NSTextField *codeField;
	IBOutlet NSTextField *titleField;
	IBOutlet NSTextField *infoField;
	IBOutlet NSTextField *trialLeftField;
	IBOutlet NSProgressIndicator *registrationProgress;
	NSString *appSupportFolder;
}

@property (retain) NSString *appSupportFolder;

+ (CORegistrationController *)defaultController;
- (void)showRegistrationOnWindow:(NSWindow *)parentWindow;

- (IBAction)continueTrial:(id)sender;
- (IBAction)startTrial:(id)sender;
- (IBAction)quit:(id)sender;

- (IBAction)buyLicence:(id)sender;
- (IBAction)registerApp:(id)sender;


@end
